%bcond_without check

Summary:        Translation layer between cargo and RPM
Name:           cargo2rpm
Version:        0.1.16
Release:        3%{?dist}
License:        MIT
URL:            https://pagure.io/fedora-rust/cargo2rpm
Source0:         %{url}/archive/%{version}/cargo2rpm-%{version}.tar.gz

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  %{py3_dist pytest}
%endif

Requires:       cargo

BuildArch:      noarch

%description
cargo2rpm implements a translation layer between cargo and RPM. It
provides a CLI interface (for implementing RPM macros and generators)
and a Python API (Upon which rust2rpm is built).

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cargo2rpm

%check
%if %{with check}
%pytest
%endif

%files -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%{_bindir}/cargo2rpm

%changelog
* Thu Aug 29 2024 Wang Guodong <gordonwwang@tencent.com> - 0.1.16-3
- Remove tox and use pytest instead

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.16-2
- Rebuilt for loongarch release

* Wed Jun 26 2024 Upgrade Robot <upbot@opencloudos.tech> - 0.1.16-1
- Upgrade to version 0.1.16

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.5-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 27 2023 Wang Guodong <gordonwwang@tencent.com> - 0.1.5-1
- Upgrade to 0.1.5

* Mon Jul 17 2023 Wang Guodong <gordonwwang@tencent.com> - 0.1.3-4
- Rebuilt for rust 1.69.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 Yi Lin <nilusyi@tencent.com> - 0.1.3-1
- package init.
